=== debian/changelog ===
clisp (1:2.48-3) unstable; urgency=medium

  * Re-Add s390 to -doc's architectures, was removed by accident
  * Replace arm by armel in debian/control
  * urgency=medium due to rc bug fix and asdf/clc transition waiting for it
  * Upgrade to source 1.0

 -- Christoph Egger <christoph@debian.org>  Wed, 07 Jul 2010 23:40:17 +0200

clisp (1:2.48-2) unstable; urgency=low

  [ Peter Van Eynde ]
  * forgot to change clisp-dev to lisp section
  * Fixed bdb.c to handle new berkely-db version (Closes: #549762)
  * integrated the NMU. Many thanks to Alexander Reichle-Schmehl.

  [ Christoph Egger ]
  * Pass --build to all ./configure runs (Closes: #546355)
  * Upload
  * Apply build parameters from arm also to armel
  * Add myself to uploaders

 -- Christoph Egger <christoph@debian.org>  Sun, 04 Jul 2010 13:26:01 +0200

clisp (1:2.48-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add "Breaks: cl-asdf (<< 2:1.704-1)" (Closes: #579460)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 05 May 2010 10:39:00 +0200

clisp (1:2.48-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on libdb4.7-dev as proposed by Ilya Barygin
    (Closes: #549762)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 23 Apr 2010 11:25:30 +0200

clisp (1:2.48-1) unstable; urgency=low

  * New upstream release
  * move clisp-link patch into git repository
  * Moved instructionset definition patch into git.
  * removed quilt horror
  * Updated Standards-Version no real changes
  * Changed Section to lisp
  * go to debhelper v7
  * added build conflict against libsigsegv 2.7 and higher
  * updated doc directory that gets build by upstream
  * added ${misc:Depends} to Depends
  * updated copyright file
  * Changed makemake to not use identical temporary targets a few times,
    (Closes: #494413)
  * Make clisp-link always work with bash. Closes: #530054
  * Fix bashism in clisp.sh Closes: #530055
  * Added debian/README.building file
  * added conflict with older clc

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 03 Sep 2009 04:52:49 +0100

clisp (1:2.44.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Readd s390 support.
  * Remove host instructionset definition, regenerate src/configure.
    (closes: #488817)

 -- Bastian Blank <waldi@debian.org>  Sun, 10 Aug 2008 09:28:14 +0000

clisp (1:2.44.1-4) unstable; urgency=low

  * debian/control:
    - drop s390 support, it seems it really needs ./configure --build.

 -- Luca Capello <luca@pca.it>  Wed, 23 Jul 2008 19:50:10 +0200

clisp (1:2.44.1-3) unstable; urgency=low

  * doc/_clisp.1:
    - restore upstream version, modifications to upstream files must
      be managed through a Debian-specific patch system.

  * doc/faq.xml:
    - restore upstream version, modifications to upstream files must
      be managed through a Debian-specific patch system.

  * debian/clisp-doc.install:
    + correct install path.

  * debian/clisp-dev.install:
    + install clisp-link manpage.

  * debian/clisp.install:
    + install clisp manpage.

  * debian/control:
    + build-depend on quilt to manage patches.
    - remove libxt-dev from clisp Build-Depends: and clisp-dev
      Depends:, they are not used and generate unnecessary
      library inclusions in clisp-dev makevars, thanks to Jörg
      Sommer <joerg@alea.gnuu.de> (Closes: #462087).

  * debian/dirs:
    - remove, useless.

  * debian/patches/series: new file.
  * debian/patches/01_fix-comment-in-src-ariarm.d.patch:
    + fix FTBFS: backport upstream fix (Closes: #490944).
  * debian/patches/02_add-clisp-link-manpage.patch:
    + first version for the clisp-link manpage.

  * debian/rules:
    + fix FTBFS: since backporting the upstream support for standard
      autoconf options (--build and --host) is too much a pain, add a
      `export CC=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)-gcc`,
      thanks to  Bastian Blank <waldi@debian.org> (Closes: #488817).
    + adapt to quilt.
    - remove unwanted upstream doc/ files on 'install' target.
    - remove useless dh_installman call from 'binary-indep' target.

 -- Luca Capello <luca@pca.it>  Mon, 21 Jul 2008 02:14:29 +0200

clisp (1:2.44.1-2) unstable; urgency=low

  * debian/control:
    + add libdb-dev to clisp-dev Depends:, thanks to Jörg Sommer
      <joerg@alea.gnuu.de> (Closes: #462086).
    + add libffcall1-dev to clisp-dev Depends:, thanks to Jörg Sommer
      <joerg@alea.gnuu.de> (Closes: #468090).

  * debian/rules:
    + fix FTBFS: allow 'MAKEFLAGS=-jN', thanks to Albin Tonnerre
      <albin.tonnerre@gmail.com> for the patch (Closes: #487381).

 -- Luca Capello <luca@pca.it>  Wed, 09 Jul 2008 17:25:15 +0200

clisp (1:2.44.1-1) unstable; urgency=low

  * New bugfix Upstream Version:
    + Add a workaround against a gcc 4.2.x bug [ 1836142 ].
    + Make it work with gcc 4.3 snapshots [ 1836142 ]
      fix Debian FTBFS, thank Sebastian Bober <sbober@servercare.de>
      for having discovered it (Closes: #474810).

  * debian/clisp*.install:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.

  * debian/clisp.sh:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.

  * debian/control:
    + add myself to Uploaders:.
    + add Vcs-Browser field.
    - remove xutils from Build-Depends: and clisp-dev Depends:.
    - remove trailing space and line.

  * debian/preinst:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.
    - remove trailing spaces.

  * debian/postrm:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.
    - remove trailing spaces.

  * debian/rules:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.
    - remove suspicious line.
    - remove trailing spaces.
    - do not try to change permissions for ffcall/configure, since
      GNU libffcall is no more included since version 2.44.
    - do not try to change permissions for libcharset/configure, since
      GNU libffcall is no more included since version 2.43 (its use

